SDL_Color Struct Reference

`#include <SDL_pixels.h>`

## Data Fields

Uint8 | r
Uint8 | g
Uint8 | b
Uint8 | a

## Detailed Description

Definition at line 279 of file SDL_pixels.h.

## Field Documentation

Uint8 SDL_Color::a

Definition at line 284 of file SDL_pixels.h.

Referenced by Map1to1(), Map1toN(), SDL_ConvertSurface(), SDL_DitherColors(), SDL_FindColor(), SDL_GetRGBA(), SDL_LoadBMP_RW(), and SDL_SetColorKey().

Uint8 SDL_Color::b

Definition at line 283 of file SDL_pixels.h.

Referenced by Blit1toNAlpha(), Blit1toNAlphaKey(), BlitBtoNAlpha(), BlitBtoNAlphaKey(), BlitNto1PixelAlpha(), BlitNto1SurfaceAlpha(), BlitNto1SurfaceAlphaKey(), main(), Map1to1(), Map1toN(), pixels_allocFreePalette(), RecursivelyCalculateShapeTree(), SDL_CalculateShapeBitmap(), SDL_ConvertSurface(), SDL_CreateRGBSurface(), SDL_DitherColors(), SDL_FindColor(), SDL_GetRGB(), SDL_GetRGBA(), SDL_LoadBMP_RW(), and UpdateTexture().

Uint8 SDL_Color::g

Definition at line 282 of file SDL_pixels.h.

Referenced by Blit1toNAlpha(), Blit1toNAlphaKey(), BlitBtoNAlpha(), BlitBtoNAlphaKey(), BlitNto1PixelAlpha(), BlitNto1SurfaceAlpha(), BlitNto1SurfaceAlphaKey(), main(), Map1to1(), Map1toN(), pixels_allocFreePalette(), RecursivelyCalculateShapeTree(), SDL_CalculateShapeBitmap(), SDL_ConvertSurface(), SDL_CreateRGBSurface(), SDL_DitherColors(), SDL_FindColor(), SDL_GetRGB(), SDL_GetRGBA(), SDL_LoadBMP_RW(), and UpdateTexture().

Uint8 SDL_Color::r

Definition at line 281 of file SDL_pixels.h.

Referenced by Blit1toNAlpha(), Blit1toNAlphaKey(), BlitBtoNAlpha(), BlitBtoNAlphaKey(), BlitNto1PixelAlpha(), BlitNto1SurfaceAlpha(), BlitNto1SurfaceAlphaKey(), main(), Map1to1(), Map1toN(), pixels_allocFreePalette(), RecursivelyCalculateShapeTree(), SDL_CalculateShapeBitmap(), SDL_ConvertSurface(), SDL_CreateRGBSurface(), SDL_DitherColors(), SDL_FindColor(), SDL_GetRGB(), SDL_GetRGBA(), SDL_LoadBMP_RW(), and UpdateTexture().

The documentation for this struct was generated from the following file:

- include/SDL_pixels.h